Skip to content

SetMyTourState

PUT
/api/v1/t/{tenant}/me/tours/{tourKey}
curl --request PUT \
--url https://example.com/api/v1/t/example/me/tours/example \
--header 'Content-Type: application/json' \
--data '{ "state": "Completed" }'
tenant
required
string

Tenant slug

tourKey
required
string
Media typeapplication/json
object
state
required
Allowed values: Completed Dismissed

No Content

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}